# -*- mode: yaml; indent-tabs-mode: nil; tab-width: 2; coding: utf-8-unix -*-

---

- name: "DEBUG: Including proxy Msys.yml"
  debug:
    verbosity: 1
    msg: "DEBUG: Including proxy Msys.yml BASE_ARE_CONNECTED={{BASE_ARE_CONNECTED}}"

- name: netsh interface ip set address name="Ethernet0" static 10.1.2.220 255.255.255.0 10.1.2.1
  shell: |
    # https://pureinfotech.com/set-static-ip-address-windows-10/
    netsh interface ip set address name="{{BOX_DEFAULT_OUTPUT_IF}}" static 10.152.152.13 255.255.255.0 10.152.152.10

- name: "proxy local_connection.yml"
  include_tasks: "local_connection.yml"

- block:

  - name: mvmc_setup.msi
    shell: |
      [ -f /e/net/Http/https://github.com/xavery/mvmc_setup/releases/download/2014_11_10/mvmc_setup.msi ] \
        wget --restrict-file-names=windows -xcP /e/net/Http \
          https://github.com/xavery/mvmc_setup/releases/download/2014_11_10/mvmc_setup.msi || \
          exit 1
      [ -d /c/Program Files/ ] || \
        start "/e/net/Http/github.com/xavery/mvmc_setup/releases/download/2014_11_10/mvmc_setup.msi" //quiet

